PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  package capture
  Definition Classes
    terminals
-  package implant
  Definition Classes
    terminals
- EquipmentTerminalDefinition
- GeneratorTerminalDefinition
- MatrixTerminalDefinition
- MedicalTerminalDefinition
- OrderTerminalDefinition
- ProximityDefinition
- ProximityTerminal
- ProximityTerminalControl
- ProximityTerminalDefinition
- ProximityUnit
- Terminal
- TerminalControl
- TerminalDefinition
- VehicleTerminalDefinition

o

net.psforever.objects.serverobject.terminals

# ProximityTerminal

###
Companion class ProximityTerminal

#### object ProximityTerminal

Source
  ProximityTerminal.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProximityTerminal
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Constructor(pos: Vector3, tdef: ProximityTerminalDefinition)(id: Int, context: ActorContext): Terminal

   Instantiate an configure a `Terminal` object, with position coordinates.

   Instantiate an configure a `Terminal` object, with position coordinates.

   pos

     the location of the object

   tdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `Terminal` object

5.  def Constructor(tdef: ProximityTerminalDefinition)(id: Int, context: ActorContext): Terminal

   Instantiate an configure a `Terminal` object

   Instantiate an configure a `Terminal` object

   tdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `Terminal` object

6.  def Setup(obj: Amenity, context: ActorContext): Unit

   Assemble some logic for a provided owned object after both it ands its owner have been constructed.

   Assemble some logic for a provided owned object after both it ands its owner have been constructed.

   obj

     an `Amenity` object; anticipating a `Terminal` object using this same definition

   context

     hook to the local `Actor` system

7.  def apply(tdef: ProximityTerminalDefinition): ProximityTerminal

   Overloaded constructor.

   Overloaded constructor.

   tdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped